Subject: bug#68760: I guess I found a bug in "guix pull" ?

From: [email-masked]
Date: Sat, 27 Jan 2024 16:12:18 +0000

This is the output that I got from guix pull just now:

#+BEGIN_SRC shell
joshua@dobby ~ (master)> guix pull
Updating channel 'nonguix' from Git repository at 'https://gitlab.com/nonguix/nonguix'...
Authenticating channel 'nonguix', commits 897c1a4 to 3857d86 (5 new commits)...
Updating channel 'guixrus' from Git repository at 'https://git.sr.ht/~whereiseveryone/guixrus'...
Authenticating channel 'guixrus', commits 7c67c3a to 0d35538 (1 new commits)...
Updating channel 'dthompson' from Git repository at 'https://git.dthompson.us/guix-channel.git'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 836d608 (238 new commits)...
Building from these channels:
 guix https://git.savannah.gnu.org/git/guix.git 836d608
 dthompson https://git.dthompson.us/guix-channel.git 9a0d291
 guixrus https://git.sr.ht/~whereiseveryone/guixrus 0d35538
 nonguix https://gitlab.com/nonguix/nonguix 3857d86
substitute: updating substitutes from 'https://guix.tobias.gr'/... 100.0%
substitute: updating substitutes from 'https://substitutes.nonguix.org'/... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'/... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'/... 100.0%
building /gnu/store/jpql07qa2kqw9b70h9yc5kcn66190grl-compute-guix-derivation.drv...
Computing Guix derivation for 'x86_64-linux'... |Backtrace:
In ./guix/gexp.scm:
 299:22 19 (_ #<store-connection 256.99 78b6419ca0a0>)
 1201:2 18 (_ #<store-connection 256.99 78b6419ca0a0>)
 1068:2 17 (_ #<store-connection 256.99 78b6419ca0a0>)
 909:4 16 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/store.scm:
 2065:12 15 (_ #<store-connection 256.99 78b6419ca0a0>)
 1377:6 14 (map/accumulate-builds #<store-connection 256.99 78b6419ca0a0> #<procedure 78b63cbbd800 at ./guix/stor?> ?)
 1382:11 13 (loop (#<gexp-input native #<<file-mapping> name: "guix-config-source" alist: (("guix/config.scm" #<<?>) ?)
 1295:4 12 (call-with-build-handler #<procedure 78b63cbbd740 at ./guix/store.scm:1335:2 (continue store things mo?> ?)
 2180:24 11 (run-with-store #<store-connection 256.99 78b6419ca0a0> #<procedure 78b63cbbd340 at ./guix/gexp.scm:91?> ?)
In ./guix/gexp.scm:
 914:13 10 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/store.scm:
 2008:8 9 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/gexp.scm:
 299:22 8 (_ #<store-connection 256.99 78b6419ca0a0>)
 1569:2 7 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/monads.scm:
 487:9 6 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/gexp.scm:
 1566:6 5 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/store.scm:
 2008:8 4 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/gexp.scm:
 299:22 3 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/store.scm:
 2052:38 2 (_ #<store-connection 256.99 78b6419ca0a0>)
In ./guix/derivations.scm:
 965:17 1 (derivation #<store-connection 256.99 78b6419ca0a0> "config.scm" "/gnu/store/1gd9nsy4cps8fnrd1avkc9l01?" ?)
In ./guix/store.scm:
 1038:9 0 (_ #<store-connection 256.99 78b6419ca0a0> "config.scm.drv" #vu8(68 101 114 105 118 101 40 91 40 34 # ?) ?)

./guix/store.scm:1038:9: ERROR:
 1. &store-protocol-error:
 message: "error parsing derivation `/gnu/store/3nppfdxy9vgg9ls6qi8j8pkzw2khi98h-git-minimal-2.41.0.drv': expected string `Derive(['"
 status: 1
guix pull: error: You found a bug: the program '/gnu/store/m9z876jpmpbslc6qaikbp9fk5dv01y3n-compute-guix-derivation'
failed to compute the derivation for Guix (version: "836d608a56bc798fff0cda507f3c1010bbe1f914"; system: "x86_64-linux";
host version: "b150c546b04c9ebb09de9f2c39789221054f5eea"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.

#+END_SRC

Some more info: I am using a librebooted T400 on Guix System.

#+BEGIN_SRC shell
joshua@dobby ~ (master) [1]> guix system describe
Generation 59 Dec 25 2023 18:53:48 (current)
 file name: /var/guix/profiles/system-59-link
 canonical file name: /gnu/store/17ydivxng9ndrv0gljm1970662s7kaig-system
 label: GNU with Linux-Libre 6.5.12
 bootloader: grub
 root device: /dev/mapper/cryptroot
 kernel: /gnu/store/3vf0n2dcd63m62r9gn7yf1pcynkx8qpr-linux-libre-6.5.12/bzImage
 channels:
 guix:
 repository URL: https://git.savannah.gnu.org/git/guix.git
 branch: master
 commit: b150c546b04c9ebb09de9f2c39789221054f5eea
 dthompson:
 repository URL: https://git.dthompson.us/guix-channel.git
 branch: main
 commit: 9a0d291f8d2ce2cfb443773f2dcce2097218aa9f
 guixrus:
 repository URL: https://git.sr.ht/~whereiseveryone/guixrus
 branch: master
 commit: 36b9f066d9a1df9b02d574ee5647c46b1a9b1194
 nonguix:
 repository URL: https://gitlab.com/nonguix/nonguix
 branch: master
 commit: 639b70063b73cb9ff553b77d51d42c07eb208d91
 configuration file: /gnu/store/pqvwwwyknkgpxg2lriv2r7vgv7agasga-configuration.scm

#+END_SRC

#+BEGIN_SRC shell
joshua@dobby ~ (master)> guix describe
Generation 84 Nov 22 2023 16:19:36 (current)
 guix b150c54
 repository URL: https://git.savannah.gnu.org/git/guix.git
 branch: master
 commit: b150c546b04c9ebb09de9f2c39789221054f5eea
 dthompson 9a0d291
 repository URL: https://git.dthompson.us/guix-channel.git
 branch: main
 commit: 9a0d291f8d2ce2cfb443773f2dcce2097218aa9f
 guixrus 36b9f06
 repository URL: https://git.sr.ht/~whereiseveryone/guixrus
 branch: master
 commit: 36b9f066d9a1df9b02d574ee5647c46b1a9b1194
 nonguix 639b700
 repository URL: https://gitlab.com/nonguix/nonguix
 branch: master
 commit: 639b70063b73cb9ff553b77d51d42c07eb208d91

#+END_SRC

I suppose that I will try removing some packages (git), removing some
channels and pulling again.

Thanks,

Joshua